> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/it/powershell-commands/update-dsentrybase.md).

# Update-DSEntryBase

### Sinossi

Aggiorna una voce.

### Sintassi

#### Valore

```
Update-DSEntryBase [-JsonBody] <string> [-AsLegacyResponse] [<CommonParameters>]
```

#### RDMConnection

```
Update-DSEntryBase [-FromRDMConnection] <ConnectionInfoEntity> [-AsLegacyResponse]
 [<CommonParameters>]
```

### Descrizione

Aggiorna una voce (la voce modificata deve trovarsi in jsonBody). A meno che non sappia esattamente cosa sta facendo, dovrebbe probabilmente utilizzare i CMDlet creati da noi per aggiornare le voci.

### Esempi

#### Esempio 1

```powershell
PS C:\> $credResponse = Get-DSEntry -EntryID $id
        $cred = $credResponse.data
        $cred.data.passwordItem | Add-Member -MemberType NoteProperty -Name SensitiveData -Value 'newPassword'
        Update-DSEntryBase -JsonBody (ConvertTo-Json -InputObject $cred -Depth 4)
```

Viene recuperata una voce di credenziali esistente con una password esistente. La sua password viene modificata in 'newPassword' aggiungendo una proprietà di dati sensibili a passwordItem. La voce viene convertita in json con la profondità richiesta per evitare che venga appiattita. La voce viene aggiornata successivamente.

#### Esempio 2

```powershell
PS C:\> $credResponse = Get-DSEntry -EntryID $id
        $cred = $credResponse.data
        $cred.data.passwordItem | Add-Member -MemberType NoteProperty -Name SensitiveData -Value 'newPassword'
        Update-DSEntryBase -JsonBody (ConvertTo-Json -InputObject $cred -Depth 4)
```

Viene recuperata una voce di credenziali esistente con una password esistente. La sua password viene modificata in 'newPassword' aggiungendo una proprietà di dati sensibili a passwordItem. La voce viene convertita in json con la profondità richiesta per evitare che venga appiattita. La voce viene aggiornata successivamente.

#### Esempio 3

```powershell
PS C:\> $entryID = '12345678-1234-1234-1234-123456781234'
PS C:\> $entry = Get-DSEntry -EntryID $entryID
PS C:\> $entry.data.vpn = @{                                                       
  application = [Devolutions.RemoteDesktopManager.VPNApplication]::DevolutionsGateway
  closeMode = [Devolutions.RemoteDesktopManager.VPNCloseMode]::OnDisconnect
  devolutionsGatewayID = '6ccf937c-7a98-4106-b951-815471ec649b'
  mode = [Devolutions.RemoteDesktopManager.VPNMode]::AlwaysConnect
  enableAutoDetectIsOnlineVPN = 2
}
PS C:\> Update-DSEntryBase -JsonBody (ConvertTo-Json -InputObject $entry -Depth 10)
```

Imposta il Devolutions Gateway predefinito sulla voce con la modalità di connessione 'Always Connect' e la modalità di chiusura 'On session close'

### Parametri

#### -AsLegacyResponse

Nelle versioni precedenti alla 2024.2, molti cmdlet DS restituivano un oggetto ServerResponse. L'attivazione di questo switch di compatibilità con le versioni precedenti consente agli script sviluppati per le versioni precedenti di funzionare correttamente.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -FromRDMConnection

Voce ottenuta da Get-DSEntry -AsRDMConnection. Può essere utilizzata per aggiornare una voce

```yaml
Type: Devolutions.RemoteDesktopManager.Business.Entities.ConnectionInfoEntity
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: RDMConnection
  Position: 0
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -JsonBody

Voce in JSON

```yaml
Type: System.String
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: Value
  Position: 0
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Questo cmdlet supporta i parametri comuni: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction e -WarningVariable. Per maggiori informazioni, veda [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Note

Per maggiori informazioni, digiti "Get-Help Update-DSEntryBase -detailed". Per informazioni tecniche, digiti "Get-Help Update-DSEntryBase -full".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell/it/powershell-commands/update-dsentrybase.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
